libhdhomerun for Debian
=======================

If you are looking for instructions on configuring the HDHomeRun with MythTV,
have a look at these:

  https://help.ubuntu.com/community/HDHomeRun
  http://www.mythtv.org/wiki/Silicondust_HDHomeRun

and if you are looking for technical details, see the developers guide:

  http://www.silicondust.com/hdhomerun/hdhomerun_development.pdf

The troubleshooting guide may also be useful for certain hardware problems:

  http://www.silicondust.com/hdhomerun/hdhomerun_troubleshooting.pdf


Firewall issues
---------------

If you are running a firewall on the machine where hdhomerun_config
is installed, it may be impossible to discover the device on your
network.

You will either need to open up all ports for the device's MAC
address:

  -A INPUT -m mac --mac-source HDHR:MAC:ADDRESS -j ACCEPT

or you will need to open up the following ports for your subnet:

  -A INPUT -s 192.168.1.0/24 -p udp --sport 5002 -j ACCEPT
  -A INPUT -s 192.168.1.0/24 -p udp --sport 5004 -j ACCEPT
  -A INPUT -s 192.168.1.0/24 -p udp --sport 65001 -j ACCEPT
  -A INPUT -s 192.168.1.0/24 -p tcp --sport 65001 -j ACCEPT


Firmware updates
----------------

hdhomerun_config can be used to upgrade the device firmware.

To download the latest firmware for your device, see:

  http://www.silicondust.com/downloads

The list of changes in each firmware version is available from:

  http://www.silicondust.com/downloads/hdhomerun_firmware_changelog

 -- Francois Marier <francois@debian.org>  Sun, 13 Jun 2010 15:45:20 +1200
